## com.ibm.lab.soln.editor.ui
Class MiniSpreadsheetLabelProvider

    java.lang.Object
      |
      +--com.ibm.lab.soln.editor.ui.MiniSpreadsheetLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

public class MiniSpreadsheetLabelProvider
extends java.lang.Object
implements org.eclipse.jface.viewers.ITableLabelProvider

Map between a mini-spreadsheet and its displayable label.

Constructor Summary
`MiniSpreadsheetLabelProvider()` Constructor for MiniSpreadsheetLabelProvider.

Method Summary
`void` | `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` | `dispose()`
`org.eclipse.swt.graphics.Image` | `getColumnImage(java.lang.Object element, int columnIndex)`
`java.lang.String` | `getColumnText(java.lang.Object element, int columnIndex)` Return the column text corresponding to the given element; the first column is the row number.
`boolean` | `isLabelProperty(java.lang.Object element, java.lang.String property)` Always return `true`, since all changes in the mini-spreadsheet require that the label be recalculated.
`void` | `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiniSpreadsheetLabelProvider

    public MiniSpreadsheetLabelProvider()

  Constructor for MiniSpreadsheetLabelProvider.

Method Detail

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### getColumnImage

    public org.eclipse.swt.graphics.Image getColumnImage(java.lang.Object element,
                                                         int columnIndex)

  Specified by:
    `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

### getColumnText

    public java.lang.String getColumnText(java.lang.Object element,
                                          int columnIndex)

  Return the column text corresponding to the given element; the first column is the row number.

  Specified by:
    `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
  See Also:
    `ITableLabelProvider.getColumnText(Object, int)`

### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

  Always return `true`, since all changes in the mini-spreadsheet require that the label be recalculated.

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.isLabelProperty(Object, String)`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`